********************************************************************
**                                                                **
**               IBM-PC Installation of DISLIN                    **
**                                                                **
**  Contents:  1.)  Introduction                                  **
**             2.)  Installation of DISLIN                        **
**                                                                **
**  Date   :   01.02.2005                                         **
**  Version:   8.3   /  Windows, G77/GCC-MINGW32                  **
**  Author :   Helmut Michels                                     **
**             MPI fuer Sonnensystemforschung,                    **
**             Max-Planck-Str. 2, 37191 Katlenburg-Lindau,        **
**             Germany                                            **
**             E-mail: michels@linmpi.mpg.de                      **
********************************************************************

1.)  Introduction

     This file describes the  installation  of the  data  plotting
     software DISLIN on IBM-PCs  for  the operating system Windows
     9x/NT/2000/XP and the Mingw32 compilers GCC and G77.

     Note: 

       - This version of DISLIN is free software for non-
         commercial use. You can copy  and redistribute it. 


2.)  Installation of DISLIN

     The  DISLIN version for the Mingw32 compilers  GCC and G77 is
     distributed in the zipped file  dl_83_mg.zip.  An utility for
     unpacking the DISLIN files is available from the same locati-
     on where you have downloaded dl_83_mg.zip, or from the DISLIN
     CD-ROM. 

     To install DISLIN, make the following steps:

  a) Create a temporary directory and copy the files dl_83_mg.zip
     and unzip.exe to it:

     for example:   md  c:\temp
                    cd  c:\temp
                    copy e:\dislin\windows\unzip.exe    *.*
                    copy e:\dislin\windows\dl_83_mg.zip *.*

  b) Extract the DISLIN files with the command:

                 unzip  -o dl_83_mg.zip

  c) Run the setup program with the command

                  setup

     -  Choose OK

     -  Give the Installation Directory where  DISLIN  should be in-
        stalled. The default directory is C:\DISLIN.

  d) Reconfigure the System

     Set the DISLIN environment variable to c:\dislin and include
     c:\dislin\win in your path. If you have installed DISLIN in a
     different directory, you have to use that directory for the 
     environment variables above.

     The setting of environment depends on your Windows version:

     Windows 98/ME

        Add the following commands to the autoexec.bat file

        PATH=c:\dislin\win;%PATH%
        SET DISLIN=c:\dislin   
   
     Windows NT/2000/XP

        In Windows NT/2000/XP environment variables can be set or
        modified with the Control Panel 
        (see Settings -> Control Panel -> Advanced -> Environment
        Variables).
   
  e) Now you can compile,  link and run the example programs in the
     DISLIN subdirectory examples with the commands

                    clink  -a  exa_c      (gcc) 
                    dlink  -a  exa_f77    (g77)
     and
                    clink  -a  map_c      (gcc) 
                    dlink  -a  map_f77    (g77)

     Notes:
 
         - clink links by default with the single precision C library
           of DISLIN (dismgc.a). A double precision version of the
           library is also included (dismgc_d.a). 

         - Normally,  the linker  of GCC creates  a Windows  console 
           program.  This means  that a console is created automati-
           cally  by the  operating system  for  using  standard I/O 
           functions such as printf and scanf.  You can suppress the
           console  window by using the switch  '-mwindows'  in gcc.
           In this case,  you can manage I/O with  the DISLIN widget
           routines  and you  should  use  the statement
           'winapp ("windows");' before 'disini',  which  means that  
           DISLIN warnings are written to a file and that the proto-
           col in disfin is displayed in a widget.
